#!usr/bin/env ruby
# -*- coding: utf-8 -*-

kazu=["0","1","2","3","4","5","6","7","8","9","10","11","12","13"]

puts"0〜13までの数字が2回出ます"
puts"2回めに出る数字が1回目のより大きいか、小さいかを予想してください"
sleep(3)
puts"high and low スタート!!"

while true
  sleep(1)
  puts"1回目"
  sleep(2)
  x=rand(kazu.length)  
  y=rand(kazu.length)
  printf("%d\n",x)
  sleep(1)

  if x<y
    
    puts"2回目"
    puts"1回目より大きい?小さい?どっち?"
    puts"1:大きい 2:小さい"     
    answer=gets.chomp
    sleep(2)
    printf("%d\n",y)
    sleep(1)
    
    if answer=="1"

      puts"大当たり〜"    
      break
      
    elsif answer=="2"
      puts"ハズレ〜"   
      break     

    end
  end

  if x>y

    puts"2回目"
    puts"1回目より大きい?小さい?どっち?"
    puts"1:大きい 2:小さい"     
    answer=gets.chomp
    sleep(2)
    printf("%d\n",y)
    sleep(1)
    
    if answer=="1"

      puts"ハズレ〜"     
      break

    elsif answer=="2"

      puts"大当たり〜"      
      break      
      redo

    end
  end
end










